package com.zd.laboratory.event;

import com.zd.laboratory.mqtt.entiy.EquipmentStatus;
import org.springframework.context.ApplicationEvent;

/**
 * 继电器状态变更事件
 * @Author: zhoupan
 * @Date: 2021/10/20/10:22
 * @Description:
 */
public class SubFunctionEvent extends ApplicationEvent {

//    public EquipmentStatus source;

    /**
     * 云盒ID
     * @param num
     */
    public SubFunctionEvent(String num) {
        super(num);
    }

    @Override
    public String getSource() {
        return (String)super.getSource();
    }


}
